- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- UpdateSelectedRouteRequest
Updates multiple SelectedRoute resources as specified by their names.
HTTP request
POST https://roads.googleapis.com/selection/v1/{parent=projects/*}/selectedRoutes:batchUpdate
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The project resource shared by all selected routes in the batch. It's required because the batch request supports only a single |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"requests": [
{
object ( |
| Fields | |
|---|---|
requests[] |
Required. The request message specifying the selected route to update. A maximum of 1,000 selected routes can be updated in a batch. The parent resource of each request must either be empty or match the top-level |
updateMask |
Optional. The list of fields to update shared by all child requests in the batch. Field paths are relative to Example: If set, this If omitted, the child request's |
Response body
Response from updating multiple SelectedRoutes.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"selectedRoutes": [
{
object ( |
| Fields | |
|---|---|
selectedRoutes[] |
|
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
IAM Permissions
Requires the following IAM permission on the parent resource:
roads.selectedRoutes.batchUpdate
For more information, see the IAM documentation.
UpdateSelectedRouteRequest
Request to update a SelectedRoute.
| JSON representation |
|---|
{
"selectedRoute": {
object ( |
| Fields | |
|---|---|
selectedRoute |
Required. The |
updateMask |
Optional. The list of fields to update. Field paths are relative to Example: If If |